function template() {
  return '<?xml version="1.0" encoding="utf-8"?>\n\
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"\n\
    "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">\n\
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="@@LANG@@" id="export">\n\
  <head>\n\
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n\
    <meta http-equiv="Content-Script-Type" content="text/javascript" />\n\
    <meta http-equiv="Content-Style-Type" content="text/css" />\n\
    <meta name="author" content="@@ACCOUNT@@"/>\n\
    <meta name="language" content="@@LANG@@"/>\n\
\n\
    <title>@@TITLE@@</title>\n\
\n\
    <style type="text/css" media="screen">\n\
/*<![CDATA[*/\n\
html, body, div, dt, dl {\n\
  margin: 0px;\n\
  padding: 0px;\n\
}\n\
\n\
p {\n\
  margin: 5px;\n\
  text-align: justify;\n\
}\n\
\n\
#menubar {\n\
  text-align: center;\n\
}\n\
\n\
#table {\n\
  margin: 1px 0px;\n\
}\n\
\n\
#menu {\n\
  overflow: auto;\n\
  visibility: hidden;\n\
  position: fixed;\n\
  z-index: 4;\n\
  background-color: white;\n\
  margin: 0px;\n\
  padding: 0px;\n\
  max-height: 480px;\n\
}\n\
\n\
#footer {\n\
  text-align: center;\n\
}\n\
\n\
#footer p {\n\
  display: inline;\n\
}\n\
\n\
dt, [type=submit], [type=button], span {\n\
  border: 1px solid #aaa;\n\
  margin: 3px;\n\
  padding: 1px;\n\
  border-radius: 3px;\n\
  box-shadow: inset 0px 0px 1px #eee;\n\
  background-color: #eee;\n\
}\n\
\n\
#menubar dt {\n\
  display: inline-block;\n\
}\n\
\n\
#menu dt {\n\
  display: block;\n\
}\n\
\n\
dt select {\n\
  width: 100%;\n\
  margin: 0px;\n\
  padding: 0px;\n\
}\n\
\n\
[type=button] {\n\
  display: inline;\n\
}\n\
\n\
dt, [type=submit], [type=button], span {\n\
  display: block;\n\
  border: 1px solid #aaa;\n\
  margin: 3px;\n\
  padding: 1px;\n\
  border-radius: 3px;\n\
  box-shadow: inset 0px 0px 1px #eee;\n\
  background-color: #eee;\n\
}\n\
\n\
dt select {\n\
  width: 100%;\n\
  margin: 0px;\n\
  padding: 0px;\n\
}\n\
\n\
[type=button] {\n\
  display: inline;\n\
}\n\
\n\
span label {\n\
  width: 20ex;\n\
  display: inline-block;\n\
  overflow: hidden;\n\
}\n\
\n\
span {\n\
  display: inline-block;\n\
}\n\
\n\
span input {\n\
  vertical-align: top;\n\
}\n\
\n\
hr {\n\
  margin: 3px 0px;\n\
}\n\
\n\
dt:hover, [type=submit]:hover, [type=button]:hover, span:hover {\n\
  background-color: #ddd;\n\
}\n\
\n\
dt:active, [type=submit]:active, [type=button]:active, span:active {\n\
  background-color: #ccc;\n\
}\n\
\n\
h1 {\n\
  text-align: center;\n\
}\n\
\n\
h2 {\n\
  margin: 15px;\n\
}\n\
\n\
h3 {\n\
  margin: 10px;\n\
}\n\
\n\
h4 {\n\
  margin: 5px;\n\
  color: #555;\n\
}\n\
\n\
div {\n\
  border: 1px solid gray;\n\
}\n\
\n\
.spacer {\n\
  border: none;\n\
  margin: 3px;\n\
}\n\
\n\
.table {\n\
  border-collapse: collapse;\n\
  width: 100%;\n\
}\n\
\n\
.table td, .table th {\n\
  border: 1px solid black;\n\
}\n\
\n\
.table th {\n\
  font-weight: bold;\n\
}\n\
\n\
.cname {\n\
  width: 25%;\n\
}\n\
\n\
.cvol {\n\
  width: 15%;\n\
}\n\
\n\
/*]]>*/\n\
    </style>\n\
    <script type="text/javascript">\n\
//<![CDATA[\n\
/* get event position */\n\
\n\
var event = null;\n\
\n\
function get_event_position (e) {\n\
  var pos = { x: 0, y: 0 };\n\
\n\
  /* find coordinates */\n\
  if (e.pageX == null) {\n\
    /* IE case */\n\
    var d= (document.documentElement &&\n\
            document.documentElement.scrollLeft != null) ?\n\
      document.documentElement : document.body;\n\
    pos.x = e.clientX + d.scrollLeft;\n\
    pos.y = e.clientY + d.scrollTop;\n\
  } else {\n\
    /* all other browsers */\n\
    pos.x = e.pageX;\n\
    pos.y = e.pageY;\n\
  }\n\
\n\
  return pos;\n\
}\n\
\n\
/* menu functions */\n\
\n\
var last_action = \'hide_menu\';\n\
\n\
function hide_menu () {\n\
\n\
  /* prevent autohide */\n\
  if (last_action == \'show_menu\') {\n\
    last_action = \'hide_menu\';\n\
    return;\n\
  }\n\
\n\
  /* hide and empty menu */\n\
  var ref = document.getElementById (\'menu\');\n\
  ref.style.visibility = \'hidden\';\n\
  ref.innerHTML = \'\';\n\
\n\
}\n\
\n\
function find_tag_pos (ref, i, tag, limit) {\n\
  if (ref == null)\n\
    return null;\n\
\n\
  var pos = new Array ()\n\
  for (var k = 0; (i < ref.childNodes.length) && ((limit <= 0) || (k < limit)); i++) {\n\
\n\
    if (ref.childNodes[i].tagName == tag)\n\
      pos[k++] = i;\n\
  }\n\
\n\
  if (limit > 0) {\n\
    if (pos.length != limit)\n\
      pos = null;\n\
    else if (pos.length == 1)\n\
      pos = ref.childNodes[pos[0]];\n\
  }\n\
\n\
  return pos;\n\
}\n\
\n\
function get_author_list (e) {\n\
  var ref = find_tag_pos (document.getElementById (\'table\'), 0, \'TBODY\', 1);\n\
  if (!ref)\n\
    return;\n\
\n\
  var menu = document.getElementById (\'menu\');\n\
  var buffer = \'<dl>\\n\';\n\
  \n\
  var pos = get_event_position (e);\n\
\n\
  /* get all rows */\n\
  var ref_pos_r = find_tag_pos (ref, 1, \'TR\', 0);\n\
  for (var i = 0; i < ref_pos_r.length; i++) {\n\
\n\
    /* get author name */\n\
    var ref_a = find_tag_pos (ref.childNodes[ref_pos_r[i]], 0, \'TD\', 1);\n\
    if (!ref_a)\n\
      continue;\n\
    ref_a.id = \'a\' + i;\n\
    buffer += \'<dt onclick="javascript: go_author (\\\'a\' + i + \'\\\');">\' + ref_a.innerHTML + \'</dt>\\n\';\n\
  }\n\
\n\
  buffer += \'</dl>\\n\';\n\
\n\
  menu.innerHTML = buffer;\n\
\n\
  /* move and show menu */\n\
  menu.style.left = pos.x + \'px\';\n\
  menu.style.top  = pos.y + \'px\';\n\
  menu.style.visibility = \'visible\';\n\
\n\
  last_action = \'show_menu\';\n\
  \n\
}\n\
\n\
var ref_author = null;\n\
function go_author (author) {\n\
  ref_author = document.getElementById (author);\n\
  if (ref_author) {\n\
    ref_author.scrollIntoView ();\n\
    var style = ref_author.parentNode.style;\n\
    style.backgroundColor = \'#f00\';\n\
    window.setTimeout (function () { if (ref_author) style.backgroundColor = \'#f22\'; }, 1000);\n\
    window.setTimeout (function () { if (ref_author) style.backgroundColor = \'#f44\'; }, 1200);\n\
    window.setTimeout (function () { if (ref_author) style.backgroundColor = \'#f88\'; }, 1400);\n\
    window.setTimeout (function () { if (ref_author) style.backgroundColor = \'#fcc\'; }, 1600);\n\
    window.setTimeout (function () { if (ref_author) style.backgroundColor = \'#fee\'; }, 1800);\n\
    window.setTimeout (function () { if (ref_author) style.backgroundColor = \'#fff\'; }, 2000);\n\
  }\n\
}\n\
\n\
function search_table () {\n\
  window.find (\'\');\n\
}\n\
\n\
function save_table () {\n\
  var buffer = null;\n\
  var ref = document.getElementById (\'export\');\n\
  if (ref) {\n\
    try {\n\
      buffer = ref.buffer;\n\
    } catch (er) { }\n\
  }\n\
  if (buffer) {\n\
    var downloadLink = document.createElement (\'a\');\n\
    downloadLink.download = \'dbcomics.html\';\n\
    downloadLink.innerHTML = \'Download File\';\n\
    try {\n\
      var fileAsBlob = new Blob ([buffer], {type: \'application/html;charset=utf-8\'});\n\
      if (window.webkitURL != null) { /* Chrome */\n\
        downloadLink.href = window.webkitURL.createObjectURL (fileAsBlob);\n\
      } else { /* Firefox */\n\
        downloadLink.href = window.URL.createObjectURL (fileAsBlob);\n\
        downloadLink.onclick = function (event) { document.body.removeChild (event.target); };\n\
        downloadLink.style.display = \'none\';\n\
        document.body.appendChild (downloadLink);\n\
      }\n\
      downloadLink.click();\n\
    } catch (er) {\n\
      window.location.href = \'data:application/html;charset=utf-8,\' + encodeURIComponent (buffer);\n\
    }\n\
  }\n\
}\n\
\n\
function print_table () {\n\
  window.print ();\n\
}\n\
\n\
function compare_strings (a_name, b_name) {\n\
\n\
  if (a_name == null) {\n\
    if (b_name == null)\n\
      return 0;\n\
    return -1;\n\
  }\n\
  if (b_name == null)\n\
    return 1;\n\
\n\
  if (\'x\' + a_name < \'x\' + b_name)\n\
    return -1;\n\
  if (\'x\' + a_name > \'x\' + b_name)\n\
    return 1;\n\
\n\
  return 0;\n\
}\n\
\n\
var sort_authors_dir = 1;\n\
function sort_authors () {\n\
  var ref = find_tag_pos (document.getElementById (\'table\'), 0, \'TBODY\', 1);\n\
  if (!ref)\n\
    return;\n\
\n\
  for (var i = 1; i < ref.childNodes.length; i++) {\n\
\n\
    for (var j = 1; j < ref.childNodes.length - 1; j++) {\n\
\n\
      /* get 2 rows */\n\
      var pos = find_tag_pos (ref, j, \'TR\', 2);\n\
      if (pos == null)\n\
        continue;\n\
\n\
      /* get first author name */\n\
      var ref_a_1 = find_tag_pos (ref.childNodes[pos[0]], 0, \'TD\', 1);\n\
      if (!ref_a_1)\n\
        continue;\n\
\n\
      /* get second author name */\n\
      var ref_a_2 = find_tag_pos (ref.childNodes[pos[1]], 0, \'TD\', 1);\n\
      if (!ref_a_2)\n\
        continue;\n\
\n\
      /* compare */\n\
      if (compare_strings (ref_a_1.innerHTML, ref_a_2.innerHTML) == sort_authors_dir)\n\
        ref.insertBefore (ref.childNodes[pos[0]], ref.childNodes[pos[1]].nextSibling);\n\
    }\n\
  }\n\
\n\
  sort_authors_dir = -sort_authors_dir;\n\
}\n\
\n\
var sort_series_dir = 1;\n\
function sort_series () {\n\
  var ref = find_tag_pos (document.getElementById (\'table\'), 0, \'TBODY\', 1);\n\
  if (!ref)\n\
    return;\n\
\n\
  for (var i = 1; i < ref.childNodes.length; i++) {\n\
\n\
    /* get 1 rows */\n\
    var ref_r = find_tag_pos (ref, i, \'TR\', 1);\n\
    if (!ref_r)\n\
      continue;\n\
\n\
    /* go to serie sub-table */\n\
    var ref_pos_c = find_tag_pos (ref_r, 0, \'TD\', 2);\n\
    if (!ref_pos_c)\n\
      continue;\n\
    var ref_t = find_tag_pos (find_tag_pos (ref_r.childNodes[ref_pos_c[1]], 0, \'TABLE\', 1), 0, \'TBODY\', 1);\n\
    if (!ref_t)\n\
      continue;\n\
\n\
    for (var j = 0; j < ref_t.childNodes.length; j++) {\n\
\n\
      for (var k = 0; k < ref_t.childNodes.length - 1; k++) {\n\
\n\
        /* get 2 rows */\n\
        var pos = find_tag_pos (ref_t, k, \'TR\', 2);\n\
        if (!pos)\n\
          continue;\n\
\n\
        /* get first serie name */\n\
        var ref_s_1 = find_tag_pos (ref_t.childNodes[pos[0]], 0, \'TD\', 1);\n\
        if (!ref_s_1)\n\
          continue\n\
\n\
        /* get second serie name */\n\
        var ref_s_2 = find_tag_pos (ref_t.childNodes[pos[1]], 0, \'TD\', 1);\n\
        if (!ref_s_2)\n\
          continue\n\
\n\
        /* compare */\n\
        if (compare_strings (ref_s_1.innerHTML, ref_s_2.innerHTML) == sort_series_dir)\n\
          ref_t.insertBefore (ref_t.childNodes[pos[0]], ref_t.childNodes[pos[1]].nextSibling);\n\
      }\n\
    }\n\
  }\n\
\n\
  sort_series_dir = -sort_series_dir;\n\
}\n\
\n\
//]]>\n\
    </script>\n\
  </head>\n\
\n\
  <body onload="return;" onclick="javascript:hide_menu ();">\n\
\n\
    <h1>@@TITLE@@</h1>\n\
\n\
    <div id="menubar">\n\
       <dl>\n\
         <dt onclick="javascript:get_author_list (event);">Go to author</dt>\n\
         <dt onclick="javascript:search_table ();">Search in table</dt>\n\
         <dt onclick="javascript:save_table ();" id="save_button">Save table</dt>\n\
         <dt onclick="javascript:print_table ();">Print table</dt>\n\
         <dt onclick="javascript:sort_authors ();">Sort Authors</dt>\n\
         <dt onclick="javascript:sort_series ();">Sort Series</dt>\n\
       </dl>\n\
    </div>\n\
\n\
    <div>\n\
      <table id="table" class="table">\n\
        <tr><th class="cname">@@AUTHORS@@</th><td><table class="table"><tr><th>@@SERIES@@</th><th class="cvol">@@VOLUMES@@</th></tr></table></td></tr>\n\
@@TABLE@@\n\
      </table>\n\
    </div>\n\
\n\
    <div id="menu">\n\
    </div>\n\
\n\
    <div id="footer">\n\
      <div class="spacer">\n\
        <p>Copyright &copy; 2014 Soft\'n\'Design.</p>\n\
        <p>Created by <a href="mailto:mazet@softndesign.org">Mazet Laurent</a>.</p>\n\
        <p class="version">CRG export v0.1</p>\n\
      </div>\n\
    </div>\n\
\n\
  </body>\n\
\n\
</html>\n\
';
}